Get all dashboards
curl --request GET \
--url https://api.vantage.sh/v2/dashboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/dashboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/dashboards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/dashboards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/dashboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/dashboards",
"first": "https://api.vantage.sh/v2/dashboards?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/dashboards?page=1",
"prev": null
},
"dashboards": [
{
"token": "dshbrd_8d14cfef5a2c40e8",
"title": "Look to Windward",
"widget_tokens": [
"rprt_73eccc0025f6f773"
],
"widgets": [
{
"token": "dshbrd_wdgt_6020cf1db7b2d242",
"widgetable_token": "rprt_73eccc0025f6f773",
"title": "Widget",
"settings": {
"display_type": "chart",
"grid": {
"x": 0,
"y": 0,
"w": 8,
"h": 3
}
}
},
{
"token": "dshbrd_wdgt_7e7381069760ad8b",
"widgetable_type": "free_text",
"title": "Notes",
"content": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"text": "Dashboard notes",
"type": "text"
}
]
}
]
}
}
],
"saved_filter_tokens": [
"svd_fltr_5e24314f7112bd8c"
],
"date_bin": null,
"date_interval": null,
"start_date": null,
"end_date": null,
"created_at": "2026-10-01T18:52:12Z",
"updated_at": "2026-10-01T18:52:12Z",
"folder_token": null,
"workspace_token": "wrkspc_1b396cf40caa4666"
}
]
}Dashboards
Get all dashboards
Return all Dashboards.
GET
/
dashboards
Get all dashboards
curl --request GET \
--url https://api.vantage.sh/v2/dashboards \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/dashboards"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/dashboards', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vantage.sh/v2/dashboards",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vantage.sh/v2/dashboards"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vantage.sh/v2/dashboards")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vantage.sh/v2/dashboards")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"links": {
"self": "https://api.vantage.sh/v2/dashboards",
"first": "https://api.vantage.sh/v2/dashboards?page=1",
"next": null,
"last": "https://api.vantage.sh/v2/dashboards?page=1",
"prev": null
},
"dashboards": [
{
"token": "dshbrd_8d14cfef5a2c40e8",
"title": "Look to Windward",
"widget_tokens": [
"rprt_73eccc0025f6f773"
],
"widgets": [
{
"token": "dshbrd_wdgt_6020cf1db7b2d242",
"widgetable_token": "rprt_73eccc0025f6f773",
"title": "Widget",
"settings": {
"display_type": "chart",
"grid": {
"x": 0,
"y": 0,
"w": 8,
"h": 3
}
}
},
{
"token": "dshbrd_wdgt_7e7381069760ad8b",
"widgetable_type": "free_text",
"title": "Notes",
"content": {
"type": "doc",
"content": [
{
"type": "paragraph",
"content": [
{
"text": "Dashboard notes",
"type": "text"
}
]
}
]
}
}
],
"saved_filter_tokens": [
"svd_fltr_5e24314f7112bd8c"
],
"date_bin": null,
"date_interval": null,
"start_date": null,
"end_date": null,
"created_at": "2026-10-01T18:52:12Z",
"updated_at": "2026-10-01T18:52:12Z",
"folder_token": null,
"workspace_token": "wrkspc_1b396cf40caa4666"
}
]
}